## AgsLv2uiManager

AgsLv2uiManager — Singleton pattern to organize LV2UI

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2UI_MANAGER_GET_OBJ_MUTEX()
gchar ** | ags_lv2ui_manager_get_default_path ()
void | ags_lv2ui_manager_set_default_path ()
gchar ** | ags_lv2ui_manager_get_filenames ()
AgsLv2uiPlugin * | ags_lv2ui_manager_find_lv2ui_plugin ()
AgsLv2uiPlugin * | ags_lv2ui_manager_find_lv2ui_plugin_with_index ()
void | ags_lv2ui_manager_load_blacklist ()
void | ags_lv2ui_manager_load_file ()
void | ags_lv2ui_manager_load_default_directory ()
AgsLv2uiManager * | ags_lv2ui_manager_get_instance ()
AgsLv2uiManager * | ags_lv2ui_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLv2uiManager

## Includes

    #include <ags/plugin/ags_lv2ui_manager.h>

## Description

The AgsLv2uiManager loads/unloads LV2UI plugins.

## Functions

### AGS_LV2UI_MANAGER_GET_OBJ_MUTEX()

    #define AGS_LV2UI_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsLv2uiManager *) obj)->obj_mutex))

### ags_lv2ui_manager_get_default_path ()

    gchar **
    ags_lv2ui_manager_get_default_path ();

Get lv2ui manager default plugin path.

#### Returns

the plugin default search path as a string vector.

[element-type utf8][array zero-terminated=1][transfer none]

Since: 3.0.0

### ags_lv2ui_manager_set_default_path ()

    void
    ags_lv2ui_manager_set_default_path (gchar **default_path);

Set lv2ui manager default plugin path.

#### Parameters

default_path | the string vector array to use as default path. | [element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_lv2ui_manager_get_filenames ()

    gchar **
    ags_lv2ui_manager_get_filenames (AgsLv2uiManager *lv2ui_manager);

Retrieve all filenames

#### Parameters

lv2ui_manager | the AgsLv2uiManager |

#### Returns

a `NULL`-terminated array of filenames.

[element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_lv2ui_manager_find_lv2ui_plugin ()

    AgsLv2uiPlugin *
    ags_lv2ui_manager_find_lv2ui_plugin (AgsLv2uiManager *lv2ui_manager,
                                         gchar *ui_filename,
                                         gchar *ui_effect);

Lookup UI filename in loaded plugins.

#### Parameters

lv2ui_manager | the AgsLv2uiManager |
ui_filename | the UI filename of the plugin |
ui_effect | the UI effect's name |

#### Returns

the AgsLv2uiPlugin.

[transfer none]

Since: 3.0.0

### ags_lv2ui_manager_find_lv2ui_plugin_with_index ()

    AgsLv2uiPlugin *
    ags_lv2ui_manager_find_lv2ui_plugin_with_index
                                   (AgsLv2uiManager *lv2ui_manager,
                                    gchar *ui_filename,
                                    guint ui_effect_index);

Lookup `ui_filename` with `ui_effect_index` in loaded plugins.

#### Parameters

lv2ui_manager | the AgsLv2uiManager |
ui_filename | the UI filename of the plugin |
ui_effect_index | the UI index |

#### Returns

the AgsLv2uiPlugin.

[transfer none]

Since: 3.0.0

### ags_lv2ui_manager_load_blacklist ()

    void
    ags_lv2ui_manager_load_blacklist (AgsLv2uiManager *lv2ui_manager,
                                      gchar *blacklist_filename);

Load blacklisted plugin filenames.

#### Parameters

lv2ui_manager | the AgsLv2uiManager |
blacklist_filename | the filename as string |

Since: 3.0.0

### ags_lv2ui_manager_load_file ()

    void
    ags_lv2ui_manager_load_file (AgsLv2uiManager *lv2ui_manager,
                                 AgsTurtle *manifest,
                                 AgsTurtle *turtle,
                                 gchar *lv2ui_path,
                                 gchar *filename);

Load `filename` specified plugin.

#### Parameters

lv2ui_manager | the AgsLv2uiManager |
manifest | the manifest |
turtle | the AgsTurtle |
lv2ui_path | the lv2ui path |
filename | the filename of the plugin |

Since: 3.0.0

### ags_lv2ui_manager_load_default_directory ()

    void
    ags_lv2ui_manager_load_default_directory
                                   (AgsLv2uiManager *lv2ui_manager);

Loads all available plugins.

#### Parameters

lv2ui_manager | the AgsLv2uiManager |

Since: 3.0.0

### ags_lv2ui_manager_get_instance ()

    AgsLv2uiManager *
    ags_lv2ui_manager_get_instance ();

Get instance.

#### Returns

the AgsLv2uiManager.

[transfer none]

Since: 3.0.0

### ags_lv2ui_manager_new ()

    AgsLv2uiManager *
    ags_lv2ui_manager_new ();

Creates an AgsLv2uiManager

#### Returns

a new AgsLv2uiManager

Since: 3.0.0